<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: DebugPrint Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/d26/class_debug_print.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-static-methods">Static Private Member Functions</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">DebugPrint Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-methods" name="pri-static-methods"></a>
Static Private Member Functions</h2></td></tr>
<tr class="memitem:a9e9248abda1102b69b78785851bef70b"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d26/class_debug_print.html#a9e9248abda1102b69b78785851bef70b">OnInit</a> ()</td></tr>
<tr class="separator:a9e9248abda1102b69b78785851bef70b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2db42a51523e2ac5a74e16c38304d7c4"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d26/class_debug_print.html#a2db42a51523e2ac5a74e16c38304d7c4">Log</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> msg)</td></tr>
<tr class="memdesc:a2db42a51523e2ac5a74e16c38304d7c4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints debug message with normal prio.  <a href="../../dc/d26/class_debug_print.html#a2db42a51523e2ac5a74e16c38304d7c4">More...</a><br /></td></tr>
<tr class="separator:a2db42a51523e2ac5a74e16c38304d7c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76914bc10ccb401a80903f87c590acae"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d26/class_debug_print.html#a76914bc10ccb401a80903f87c590acae">LogAndTrace</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> msg)</td></tr>
<tr class="memdesc:a76914bc10ccb401a80903f87c590acae"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints debug message as normal message and prints stack trace of calls.  <a href="../../dc/d26/class_debug_print.html#a76914bc10ccb401a80903f87c590acae">More...</a><br /></td></tr>
<tr class="separator:a76914bc10ccb401a80903f87c590acae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8cacaf870555aadb9cc2f6af0c11931c"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d26/class_debug_print.html#a8cacaf870555aadb9cc2f6af0c11931c">LogWarning</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> msg)</td></tr>
<tr class="memdesc:a8cacaf870555aadb9cc2f6af0c11931c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints debug message as warning message.  <a href="../../dc/d26/class_debug_print.html#a8cacaf870555aadb9cc2f6af0c11931c">More...</a><br /></td></tr>
<tr class="separator:a8cacaf870555aadb9cc2f6af0c11931c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e6074b30384e43c5045a869ac56a2c5"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d26/class_debug_print.html#a3e6074b30384e43c5045a869ac56a2c5">LogWarningAndTrace</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> msg)</td></tr>
<tr class="memdesc:a3e6074b30384e43c5045a869ac56a2c5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints debug message as warning message and prints stack trace of calls.  <a href="../../dc/d26/class_debug_print.html#a3e6074b30384e43c5045a869ac56a2c5">More...</a><br /></td></tr>
<tr class="separator:a3e6074b30384e43c5045a869ac56a2c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4625e42235d4e09bfec7fbb58ec0d747"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d26/class_debug_print.html#a4625e42235d4e09bfec7fbb58ec0d747">LogError</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> msg)</td></tr>
<tr class="memdesc:a4625e42235d4e09bfec7fbb58ec0d747"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints debug message as error message.  <a href="../../dc/d26/class_debug_print.html#a4625e42235d4e09bfec7fbb58ec0d747">More...</a><br /></td></tr>
<tr class="separator:a4625e42235d4e09bfec7fbb58ec0d747"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0d808c5f8c0495638fab36eff36519e"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d26/class_debug_print.html#ab0d808c5f8c0495638fab36eff36519e">LogErrorAndTrace</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> msg)</td></tr>
<tr class="memdesc:ab0d808c5f8c0495638fab36eff36519e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints debug message as error message and prints stack trace of calls.  <a href="../../dc/d26/class_debug_print.html#ab0d808c5f8c0495638fab36eff36519e">More...</a><br /></td></tr>
<tr class="separator:ab0d808c5f8c0495638fab36eff36519e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6834a8c4a1812224e56e41d962e2442"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d26/class_debug_print.html#ae6834a8c4a1812224e56e41d962e2442">AdjustDebugLog</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> msg)</td></tr>
<tr class="memdesc:ae6834a8c4a1812224e56e41d962e2442"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function adjust received message for debug console (Do not use)  <a href="../../dc/d26/class_debug_print.html#ae6834a8c4a1812224e56e41d962e2442">More...</a><br /></td></tr>
<tr class="separator:ae6834a8c4a1812224e56e41d962e2442"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8339b562eb4d964d418bf18ea2eb1cf5"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d26/class_debug_print.html#a8339b562eb4d964d418bf18ea2eb1cf5">EnableTracingLogs</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> enable)</td></tr>
<tr class="separator:a8339b562eb4d964d418bf18ea2eb1cf5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af15210d3b8c2c09991151a9213d343fc"><td class="memItemLeft" align="right" valign="top">static private <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d26/class_debug_print.html#af15210d3b8c2c09991151a9213d343fc">IsDebugLog</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> msg)</td></tr>
<tr class="separator:af15210d3b8c2c09991151a9213d343fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89efb59105a218df7e5fdbfc37d62916"><td class="memItemLeft" align="right" valign="top">static private <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d26/class_debug_print.html#a89efb59105a218df7e5fdbfc37d62916">TrimDebugLog</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> msg)</td></tr>
<tr class="separator:a89efb59105a218df7e5fdbfc37d62916"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae92e9c4194ed1216df237acda9325169"><td class="memItemLeft" align="right" valign="top">static private <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d26/class_debug_print.html#ae92e9c4194ed1216df237acda9325169">IsStackTrace</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> msg)</td></tr>
<tr class="separator:ae92e9c4194ed1216df237acda9325169"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3dc72c54f61810e9065c3785d04026cd"><td class="memItemLeft" align="right" valign="top">static private <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d26/class_debug_print.html#a3dc72c54f61810e9065c3785d04026cd">TrimStackTrace</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> msg)</td></tr>
<tr class="separator:a3dc72c54f61810e9065c3785d04026cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a445cf732d4bf10deeca3d81cb079b9f5"><td class="memItemLeft" align="right" valign="top">static private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d26/class_debug_print.html#a445cf732d4bf10deeca3d81cb079b9f5">LogMessage</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> msg, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> msg_type, <a class="el" href="../../d9/db9/classbool.html">bool</a> trace=false)</td></tr>
<tr class="separator:a445cf732d4bf10deeca3d81cb079b9f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-attribs" name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:a912e28036dcfba5d636b99335780eb61"><td class="memItemLeft" align="right" valign="top">static private const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d26/class_debug_print.html#a912e28036dcfba5d636b99335780eb61">MSG_LOG</a> = 0</td></tr>
<tr class="separator:a912e28036dcfba5d636b99335780eb61"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a631e0ced620591658d8144bba6a34b4e"><td class="memItemLeft" align="right" valign="top">static private const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d26/class_debug_print.html#a631e0ced620591658d8144bba6a34b4e">MSG_WARNING</a> = 1</td></tr>
<tr class="separator:a631e0ced620591658d8144bba6a34b4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1422ad70f6dd4e01e1ac716796491eac"><td class="memItemLeft" align="right" valign="top">static private const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d26/class_debug_print.html#a1422ad70f6dd4e01e1ac716796491eac">MSG_ERROR</a> = 2</td></tr>
<tr class="separator:a1422ad70f6dd4e01e1ac716796491eac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22e46245e41ac6dfb3d7124816632a05"><td class="memItemLeft" align="right" valign="top">static private const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d26/class_debug_print.html#a22e46245e41ac6dfb3d7124816632a05">MSG_COUNT</a> = 3</td></tr>
<tr class="separator:a22e46245e41ac6dfb3d7124816632a05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adcb18883227aae42daf23aea1b739c87"><td class="memItemLeft" align="right" valign="top">static private <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d26/class_debug_print.html#adcb18883227aae42daf23aea1b739c87">s_MsgPrefix</a> [<a class="el" href="../../dc/d26/class_debug_print.html#a22e46245e41ac6dfb3d7124816632a05">MSG_COUNT</a>]</td></tr>
<tr class="separator:adcb18883227aae42daf23aea1b739c87"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8bb4a372661028cd50d740c2587c46a8"><td class="memItemLeft" align="right" valign="top">static private <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d26/class_debug_print.html#a8bb4a372661028cd50d740c2587c46a8">s_MsgStackMarkStart</a></td></tr>
<tr class="separator:a8bb4a372661028cd50d740c2587c46a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe64cc8d5c6431e45b264b228b746783"><td class="memItemLeft" align="right" valign="top">static private <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d26/class_debug_print.html#afe64cc8d5c6431e45b264b228b746783">s_MsgStackMarkEnd</a></td></tr>
<tr class="separator:afe64cc8d5c6431e45b264b228b746783"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1d3d78a7a5dd8988e19bf88558796ca"><td class="memItemLeft" align="right" valign="top">static private <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d26/class_debug_print.html#ad1d3d78a7a5dd8988e19bf88558796ca">s_MsgStackMarked</a></td></tr>
<tr class="separator:ad1d3d78a7a5dd8988e19bf88558796ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb52c5573a2ffe774faa55aac65fb476"><td class="memItemLeft" align="right" valign="top">static private <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d26/class_debug_print.html#abb52c5573a2ffe774faa55aac65fb476">s_TraceAllLogs</a></td></tr>
<tr class="separator:abb52c5573a2ffe774faa55aac65fb476"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d2/d95/_debug_print_8c_source.html#l00001">1</a> of file <a class="el" href="../../d2/d95/_debug_print_8c_source.html">DebugPrint.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="ae6834a8c4a1812224e56e41d962e2442" name="ae6834a8c4a1812224e56e41d962e2442"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae6834a8c4a1812224e56e41d962e2442">&#9670;&#160;</a></span>AdjustDebugLog()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> DebugPrint::AdjustDebugLog </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>msg</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Function adjust received message for debug console (Do not use) </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">msg</td><td><code>string</code> Message for adjust </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>string</code> Adjusted Message <div class="fragment"><div class="line"><span class="keywordtype">string</span> msg = <a class="code hl_class" href="../../dc/d26/class_debug_print.html">DebugPrint</a>.<a class="code hl_function" href="../../dc/d26/class_debug_print.html#ae6834a8c4a1812224e56e41d962e2442">AdjustDebugLog</a>(<span class="stringliteral">&quot;s = &#39;Hello World, this is error log&#39;&quot;</span>);</div>
<div class="line"><a class="code hl_class" href="../../dc/d26/class_debug_print.html">DebugPrint</a>.<a class="code hl_function" href="../../dc/d26/class_debug_print.html#a2db42a51523e2ac5a74e16c38304d7c4">Log</a>(msg);</div>
<div class="line"> </div>
<div class="line">&gt;&gt; Hello <a class="code hl_class" href="../../d3/d21/class_world.html">World</a>, <span class="keyword">this</span> is error log</div>
<div class="ttc" id="aclass_debug_print_html"><div class="ttname"><a href="../../dc/d26/class_debug_print.html">DebugPrint</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d95/_debug_print_8c_source.html#l00001">DebugPrint.c:2</a></div></div>
<div class="ttc" id="aclass_debug_print_html_a2db42a51523e2ac5a74e16c38304d7c4"><div class="ttname"><a href="../../dc/d26/class_debug_print.html#a2db42a51523e2ac5a74e16c38304d7c4">DebugPrint::Log</a></div><div class="ttdeci">static void Log(string msg)</div><div class="ttdoc">Prints debug message with normal prio.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d95/_debug_print_8c_source.html#l00037">DebugPrint.c:37</a></div></div>
<div class="ttc" id="aclass_debug_print_html_ae6834a8c4a1812224e56e41d962e2442"><div class="ttname"><a href="../../dc/d26/class_debug_print.html#ae6834a8c4a1812224e56e41d962e2442">DebugPrint::AdjustDebugLog</a></div><div class="ttdeci">static string AdjustDebugLog(string msg)</div><div class="ttdoc">Function adjust received message for debug console (Do not use)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d95/_debug_print_8c_source.html#l00141">DebugPrint.c:141</a></div></div>
<div class="ttc" id="aclass_world_html"><div class="ttname"><a href="../../d3/d21/class_world.html">World</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d80/_world_8c_source.html#l00001">World.c:2</a></div></div>
</div><!-- fragment --> </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/d95/_debug_print_8c_source.html#l00141">141</a> of file <a class="el" href="../../d2/d95/_debug_print_8c_source.html">DebugPrint.c</a>.</p>

</div>
</div>
<a id="a8339b562eb4d964d418bf18ea2eb1cf5" name="a8339b562eb4d964d418bf18ea2eb1cf5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8339b562eb4d964d418bf18ea2eb1cf5">&#9670;&#160;</a></span>EnableTracingLogs()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void DebugPrint::EnableTracingLogs </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>enable</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d95/_debug_print_8c_source.html#l00156">156</a> of file <a class="el" href="../../d2/d95/_debug_print_8c_source.html">DebugPrint.c</a>.</p>

</div>
</div>
<a id="af15210d3b8c2c09991151a9213d343fc" name="af15210d3b8c2c09991151a9213d343fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af15210d3b8c2c09991151a9213d343fc">&#9670;&#160;</a></span>IsDebugLog()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static private <a class="el" href="../../d9/db9/classbool.html">bool</a> DebugPrint::IsDebugLog </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>msg</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d95/_debug_print_8c_source.html#l00161">161</a> of file <a class="el" href="../../d2/d95/_debug_print_8c_source.html">DebugPrint.c</a>.</p>

</div>
</div>
<a id="ae92e9c4194ed1216df237acda9325169" name="ae92e9c4194ed1216df237acda9325169"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae92e9c4194ed1216df237acda9325169">&#9670;&#160;</a></span>IsStackTrace()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static private <a class="el" href="../../d9/db9/classbool.html">bool</a> DebugPrint::IsStackTrace </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>msg</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d95/_debug_print_8c_source.html#l00187">187</a> of file <a class="el" href="../../d2/d95/_debug_print_8c_source.html">DebugPrint.c</a>.</p>

</div>
</div>
<a id="a2db42a51523e2ac5a74e16c38304d7c4" name="a2db42a51523e2ac5a74e16c38304d7c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2db42a51523e2ac5a74e16c38304d7c4">&#9670;&#160;</a></span>Log()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void DebugPrint::Log </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>msg</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prints debug message with normal prio. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">msg</td><td><code>string</code> <a class="el" href="../../da/d7d/class_debug.html">Debug</a> message for print </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>void</code> None <div class="fragment"><div class="line"><a class="code hl_class" href="../../dc/d26/class_debug_print.html">DebugPrint</a>.<a class="code hl_function" href="../../dc/d26/class_debug_print.html#a2db42a51523e2ac5a74e16c38304d7c4">Log</a>(<span class="stringliteral">&quot;Hello World&quot;</span>);</div>
<div class="line"> </div>
<div class="line">&gt;&gt; [<a class="code hl_function" href="../../dc/d26/class_debug_print.html#a2db42a51523e2ac5a74e16c38304d7c4">Log</a>]: Hello <a class="code hl_class" href="../../d3/d21/class_world.html">World</a>;</div>
</div><!-- fragment --> </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/d95/_debug_print_8c_source.html#l00037">37</a> of file <a class="el" href="../../d2/d95/_debug_print_8c_source.html">DebugPrint.c</a>.</p>

</div>
</div>
<a id="a76914bc10ccb401a80903f87c590acae" name="a76914bc10ccb401a80903f87c590acae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a76914bc10ccb401a80903f87c590acae">&#9670;&#160;</a></span>LogAndTrace()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void DebugPrint::LogAndTrace </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>msg</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prints debug message as normal message and prints stack trace of calls. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">msg</td><td><code>string</code> <a class="el" href="../../da/d7d/class_debug.html">Debug</a> message for print </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>void</code> None <div class="fragment"><div class="line"><a class="code hl_class" href="../../dc/d26/class_debug_print.html">DebugPrint</a>.<a class="code hl_function" href="../../dc/d26/class_debug_print.html#a76914bc10ccb401a80903f87c590acae">LogAndTrace</a>(<span class="stringliteral">&quot;Hello World, this is normal log&quot;</span>);</div>
<div class="line"> </div>
<div class="line">&gt;&gt; [<a class="code hl_function" href="../../dc/d26/class_debug_print.html#a2db42a51523e2ac5a74e16c38304d7c4">Log</a>]: Hello <a class="code hl_class" href="../../d3/d21/class_world.html">World</a>, <span class="keyword">this</span> is normal log</div>
<div class="line">&gt;&gt;      -- Stack trace --</div>
<div class="line">&gt;&gt;      <a class="code hl_function" href="../../d8/dc8/_day_z_game_8c.html#a346e1fd37c83a69d86fb9c5e8a2b51c0">OnKeyPress</a>() Scripts/<a class="code hl_variable" href="../../d9/de7/_display_status_8c.html#ab3a3bb8e635420fd40ef3c99f863c5c8">mission</a>/missionGameplay.c : 230</div>
<div class="line">&gt;&gt;      <a class="code hl_function" href="../../d8/dc8/_day_z_game_8c.html#a346e1fd37c83a69d86fb9c5e8a2b51c0">OnKeyPress</a>() Scripts/<a class="code hl_function" href="../../d8/dc8/_day_z_game_8c.html#ac8d9fd866d50e3a07ac7d232b73165c5">DayZGame</a>.c : 346</div>
<div class="line">&gt;&gt;      -----------------</div>
<div class="ttc" id="a_day_z_game_8c_html_a346e1fd37c83a69d86fb9c5e8a2b51c0"><div class="ttname"><a href="../../d8/dc8/_day_z_game_8c.html#a346e1fd37c83a69d86fb9c5e8a2b51c0">OnKeyPress</a></div><div class="ttdeci">override void OnKeyPress(int key)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc8/_day_z_game_8c_source.html#l02363">DayZGame.c:2363</a></div></div>
<div class="ttc" id="a_day_z_game_8c_html_ac8d9fd866d50e3a07ac7d232b73165c5"><div class="ttname"><a href="../../d8/dc8/_day_z_game_8c.html#ac8d9fd866d50e3a07ac7d232b73165c5">DayZGame</a></div><div class="ttdeci">void DayZGame()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc8/_day_z_game_8c_source.html#l00788">DayZGame.c:788</a></div></div>
<div class="ttc" id="a_display_status_8c_html_ab3a3bb8e635420fd40ef3c99f863c5c8"><div class="ttname"><a href="../../d9/de7/_display_status_8c.html#ab3a3bb8e635420fd40ef3c99f863c5c8">mission</a></div><div class="ttdeci">Mission mission</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/de7/_display_status_8c_source.html#l00028">DisplayStatus.c:28</a></div></div>
<div class="ttc" id="aclass_debug_print_html_a76914bc10ccb401a80903f87c590acae"><div class="ttname"><a href="../../dc/d26/class_debug_print.html#a76914bc10ccb401a80903f87c590acae">DebugPrint::LogAndTrace</a></div><div class="ttdeci">static void LogAndTrace(string msg)</div><div class="ttdoc">Prints debug message as normal message and prints stack trace of calls.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d95/_debug_print_8c_source.html#l00056">DebugPrint.c:56</a></div></div>
</div><!-- fragment --> </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/d95/_debug_print_8c_source.html#l00056">56</a> of file <a class="el" href="../../d2/d95/_debug_print_8c_source.html">DebugPrint.c</a>.</p>

</div>
</div>
<a id="a4625e42235d4e09bfec7fbb58ec0d747" name="a4625e42235d4e09bfec7fbb58ec0d747"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4625e42235d4e09bfec7fbb58ec0d747">&#9670;&#160;</a></span>LogError()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void DebugPrint::LogError </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>msg</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prints debug message as error message. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">msg</td><td><code>string</code> <a class="el" href="../../da/d7d/class_debug.html">Debug</a> message for error print </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>void</code> None <div class="fragment"><div class="line"><a class="code hl_class" href="../../dc/d26/class_debug_print.html">DebugPrint</a>.<a class="code hl_function" href="../../dc/d26/class_debug_print.html#a4625e42235d4e09bfec7fbb58ec0d747">LogError</a>(<span class="stringliteral">&quot;Hello World, this is error log&quot;</span>);</div>
<div class="line"> </div>
<div class="line">&gt;&gt; [<a class="code hl_function" href="../../d0/d62/group___debug.html#ga786b160dafbe15abb829786ba345cb15">Error</a>]: Hello <a class="code hl_class" href="../../d3/d21/class_world.html">World</a>, <span class="keyword">this</span> is error log</div>
<div class="ttc" id="aclass_debug_print_html_a4625e42235d4e09bfec7fbb58ec0d747"><div class="ttname"><a href="../../dc/d26/class_debug_print.html#a4625e42235d4e09bfec7fbb58ec0d747">DebugPrint::LogError</a></div><div class="ttdeci">static void LogError(string msg)</div><div class="ttdoc">Prints debug message as error message.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d95/_debug_print_8c_source.html#l00105">DebugPrint.c:105</a></div></div>
<div class="ttc" id="agroup___debug_html_ga786b160dafbe15abb829786ba345cb15"><div class="ttname"><a href="../../d0/d62/group___debug.html#ga786b160dafbe15abb829786ba345cb15">Error</a></div><div class="ttdeci">void Error(string err)</div><div class="ttdoc">Messagebox with error message.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d19/_en_debug_8c_source.html#l00090">EnDebug.c:90</a></div></div>
</div><!-- fragment --> </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/d95/_debug_print_8c_source.html#l00105">105</a> of file <a class="el" href="../../d2/d95/_debug_print_8c_source.html">DebugPrint.c</a>.</p>

</div>
</div>
<a id="ab0d808c5f8c0495638fab36eff36519e" name="ab0d808c5f8c0495638fab36eff36519e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab0d808c5f8c0495638fab36eff36519e">&#9670;&#160;</a></span>LogErrorAndTrace()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void DebugPrint::LogErrorAndTrace </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>msg</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prints debug message as error message and prints stack trace of calls. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">msg</td><td><code>string</code> <a class="el" href="../../da/d7d/class_debug.html">Debug</a> message for error print </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>void</code> None <div class="fragment"><div class="line"><a class="code hl_class" href="../../dc/d26/class_debug_print.html">DebugPrint</a>.<a class="code hl_function" href="../../dc/d26/class_debug_print.html#ab0d808c5f8c0495638fab36eff36519e">LogErrorAndTrace</a>(<span class="stringliteral">&quot;Hello World, this is error log&quot;</span>);</div>
<div class="line"> </div>
<div class="line">&gt;&gt; [<a class="code hl_function" href="../../d0/d62/group___debug.html#ga786b160dafbe15abb829786ba345cb15">Error</a>]: Hello <a class="code hl_class" href="../../d3/d21/class_world.html">World</a>, <span class="keyword">this</span> is error log</div>
<div class="line">&gt;&gt;      -- Stack trace --</div>
<div class="line">&gt;&gt;      <a class="code hl_function" href="../../d8/dc8/_day_z_game_8c.html#a346e1fd37c83a69d86fb9c5e8a2b51c0">OnKeyPress</a>() Scripts/<a class="code hl_variable" href="../../d9/de7/_display_status_8c.html#ab3a3bb8e635420fd40ef3c99f863c5c8">mission</a>/missionGameplay.c : 230</div>
<div class="line">&gt;&gt;      <a class="code hl_function" href="../../d8/dc8/_day_z_game_8c.html#a346e1fd37c83a69d86fb9c5e8a2b51c0">OnKeyPress</a>() Scripts/<a class="code hl_function" href="../../d8/dc8/_day_z_game_8c.html#ac8d9fd866d50e3a07ac7d232b73165c5">DayZGame</a>.c : 346</div>
<div class="line">&gt;&gt;      -----------------</div>
<div class="ttc" id="aclass_debug_print_html_ab0d808c5f8c0495638fab36eff36519e"><div class="ttname"><a href="../../dc/d26/class_debug_print.html#ab0d808c5f8c0495638fab36eff36519e">DebugPrint::LogErrorAndTrace</a></div><div class="ttdeci">static void LogErrorAndTrace(string msg)</div><div class="ttdoc">Prints debug message as error message and prints stack trace of calls.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d95/_debug_print_8c_source.html#l00124">DebugPrint.c:124</a></div></div>
</div><!-- fragment --> </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/d95/_debug_print_8c_source.html#l00124">124</a> of file <a class="el" href="../../d2/d95/_debug_print_8c_source.html">DebugPrint.c</a>.</p>

</div>
</div>
<a id="a445cf732d4bf10deeca3d81cb079b9f5" name="a445cf732d4bf10deeca3d81cb079b9f5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a445cf732d4bf10deeca3d81cb079b9f5">&#9670;&#160;</a></span>LogMessage()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static private void DebugPrint::LogMessage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>msg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>msg_type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>trace</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d95/_debug_print_8c_source.html#l00218">218</a> of file <a class="el" href="../../d2/d95/_debug_print_8c_source.html">DebugPrint.c</a>.</p>

</div>
</div>
<a id="a8cacaf870555aadb9cc2f6af0c11931c" name="a8cacaf870555aadb9cc2f6af0c11931c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8cacaf870555aadb9cc2f6af0c11931c">&#9670;&#160;</a></span>LogWarning()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void DebugPrint::LogWarning </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>msg</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prints debug message as warning message. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">msg</td><td><code>string</code> <a class="el" href="../../da/d7d/class_debug.html">Debug</a> message for warning print </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>void</code> None <div class="fragment"><div class="line"><a class="code hl_class" href="../../dc/d26/class_debug_print.html">DebugPrint</a>.<a class="code hl_function" href="../../dc/d26/class_debug_print.html#a8cacaf870555aadb9cc2f6af0c11931c">LogWarning</a>(<span class="stringliteral">&quot;Hello World, this is warning log&quot;</span>);</div>
<div class="line"> </div>
<div class="line">&gt;&gt; [Warning]: Hello <a class="code hl_class" href="../../d3/d21/class_world.html">World</a>, <span class="keyword">this</span> is warning log</div>
<div class="ttc" id="aclass_debug_print_html_a8cacaf870555aadb9cc2f6af0c11931c"><div class="ttname"><a href="../../dc/d26/class_debug_print.html#a8cacaf870555aadb9cc2f6af0c11931c">DebugPrint::LogWarning</a></div><div class="ttdeci">static void LogWarning(string msg)</div><div class="ttdoc">Prints debug message as warning message.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d95/_debug_print_8c_source.html#l00071">DebugPrint.c:71</a></div></div>
</div><!-- fragment --> </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/d95/_debug_print_8c_source.html#l00071">71</a> of file <a class="el" href="../../d2/d95/_debug_print_8c_source.html">DebugPrint.c</a>.</p>

</div>
</div>
<a id="a3e6074b30384e43c5045a869ac56a2c5" name="a3e6074b30384e43c5045a869ac56a2c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3e6074b30384e43c5045a869ac56a2c5">&#9670;&#160;</a></span>LogWarningAndTrace()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void DebugPrint::LogWarningAndTrace </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>msg</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prints debug message as warning message and prints stack trace of calls. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">msg</td><td><code>string</code> <a class="el" href="../../da/d7d/class_debug.html">Debug</a> message for warning print </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>void</code> None <div class="fragment"><div class="line"><a class="code hl_class" href="../../dc/d26/class_debug_print.html">DebugPrint</a>.<a class="code hl_function" href="../../dc/d26/class_debug_print.html#a3e6074b30384e43c5045a869ac56a2c5">LogWarningAndTrace</a>(<span class="stringliteral">&quot;Hello World, this is warning log&quot;</span>);</div>
<div class="line"> </div>
<div class="line">&gt;&gt; [Warning]: Hello <a class="code hl_class" href="../../d3/d21/class_world.html">World</a>, <span class="keyword">this</span> is warning log</div>
<div class="line">&gt;&gt;      -- Stack trace --</div>
<div class="line">&gt;&gt;      <a class="code hl_function" href="../../d8/dc8/_day_z_game_8c.html#a346e1fd37c83a69d86fb9c5e8a2b51c0">OnKeyPress</a>() Scripts/<a class="code hl_variable" href="../../d9/de7/_display_status_8c.html#ab3a3bb8e635420fd40ef3c99f863c5c8">mission</a>/missionGameplay.c : 230</div>
<div class="line">&gt;&gt;      <a class="code hl_function" href="../../d8/dc8/_day_z_game_8c.html#a346e1fd37c83a69d86fb9c5e8a2b51c0">OnKeyPress</a>() Scripts/<a class="code hl_function" href="../../d8/dc8/_day_z_game_8c.html#ac8d9fd866d50e3a07ac7d232b73165c5">DayZGame</a>.c : 346</div>
<div class="line">&gt;&gt;      -----------------</div>
<div class="ttc" id="aclass_debug_print_html_a3e6074b30384e43c5045a869ac56a2c5"><div class="ttname"><a href="../../dc/d26/class_debug_print.html#a3e6074b30384e43c5045a869ac56a2c5">DebugPrint::LogWarningAndTrace</a></div><div class="ttdeci">static void LogWarningAndTrace(string msg)</div><div class="ttdoc">Prints debug message as warning message and prints stack trace of calls.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d95/_debug_print_8c_source.html#l00090">DebugPrint.c:90</a></div></div>
</div><!-- fragment --> </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/d95/_debug_print_8c_source.html#l00090">90</a> of file <a class="el" href="../../d2/d95/_debug_print_8c_source.html">DebugPrint.c</a>.</p>

</div>
</div>
<a id="a9e9248abda1102b69b78785851bef70b" name="a9e9248abda1102b69b78785851bef70b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9e9248abda1102b69b78785851bef70b">&#9670;&#160;</a></span>OnInit()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void DebugPrint::OnInit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d95/_debug_print_8c_source.html#l00014">14</a> of file <a class="el" href="../../d2/d95/_debug_print_8c_source.html">DebugPrint.c</a>.</p>

</div>
</div>
<a id="a89efb59105a218df7e5fdbfc37d62916" name="a89efb59105a218df7e5fdbfc37d62916"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a89efb59105a218df7e5fdbfc37d62916">&#9670;&#160;</a></span>TrimDebugLog()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static private <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> DebugPrint::TrimDebugLog </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>msg</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d95/_debug_print_8c_source.html#l00173">173</a> of file <a class="el" href="../../d2/d95/_debug_print_8c_source.html">DebugPrint.c</a>.</p>

</div>
</div>
<a id="a3dc72c54f61810e9065c3785d04026cd" name="a3dc72c54f61810e9065c3785d04026cd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3dc72c54f61810e9065c3785d04026cd">&#9670;&#160;</a></span>TrimStackTrace()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static private <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> DebugPrint::TrimStackTrace </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>msg</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d95/_debug_print_8c_source.html#l00208">208</a> of file <a class="el" href="../../d2/d95/_debug_print_8c_source.html">DebugPrint.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a22e46245e41ac6dfb3d7124816632a05" name="a22e46245e41ac6dfb3d7124816632a05"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a22e46245e41ac6dfb3d7124816632a05">&#9670;&#160;</a></span>MSG_COUNT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> DebugPrint::MSG_COUNT = 3</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d95/_debug_print_8c_source.html#l00006">6</a> of file <a class="el" href="../../d2/d95/_debug_print_8c_source.html">DebugPrint.c</a>.</p>

</div>
</div>
<a id="a1422ad70f6dd4e01e1ac716796491eac" name="a1422ad70f6dd4e01e1ac716796491eac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1422ad70f6dd4e01e1ac716796491eac">&#9670;&#160;</a></span>MSG_ERROR</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> DebugPrint::MSG_ERROR = 2</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d95/_debug_print_8c_source.html#l00005">5</a> of file <a class="el" href="../../d2/d95/_debug_print_8c_source.html">DebugPrint.c</a>.</p>

</div>
</div>
<a id="a912e28036dcfba5d636b99335780eb61" name="a912e28036dcfba5d636b99335780eb61"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a912e28036dcfba5d636b99335780eb61">&#9670;&#160;</a></span>MSG_LOG</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> DebugPrint::MSG_LOG = 0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d95/_debug_print_8c_source.html#l00003">3</a> of file <a class="el" href="../../d2/d95/_debug_print_8c_source.html">DebugPrint.c</a>.</p>

</div>
</div>
<a id="a631e0ced620591658d8144bba6a34b4e" name="a631e0ced620591658d8144bba6a34b4e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a631e0ced620591658d8144bba6a34b4e">&#9670;&#160;</a></span>MSG_WARNING</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> DebugPrint::MSG_WARNING = 1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d95/_debug_print_8c_source.html#l00004">4</a> of file <a class="el" href="../../d2/d95/_debug_print_8c_source.html">DebugPrint.c</a>.</p>

</div>
</div>
<a id="adcb18883227aae42daf23aea1b739c87" name="adcb18883227aae42daf23aea1b739c87"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adcb18883227aae42daf23aea1b739c87">&#9670;&#160;</a></span>s_MsgPrefix</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> DebugPrint::s_MsgPrefix[<a class="el" href="../../dc/d26/class_debug_print.html#a22e46245e41ac6dfb3d7124816632a05">MSG_COUNT</a>]</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d95/_debug_print_8c_source.html#l00008">8</a> of file <a class="el" href="../../d2/d95/_debug_print_8c_source.html">DebugPrint.c</a>.</p>

</div>
</div>
<a id="ad1d3d78a7a5dd8988e19bf88558796ca" name="ad1d3d78a7a5dd8988e19bf88558796ca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1d3d78a7a5dd8988e19bf88558796ca">&#9670;&#160;</a></span>s_MsgStackMarked</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d9/db9/classbool.html">bool</a> DebugPrint::s_MsgStackMarked</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d95/_debug_print_8c_source.html#l00011">11</a> of file <a class="el" href="../../d2/d95/_debug_print_8c_source.html">DebugPrint.c</a>.</p>

</div>
</div>
<a id="afe64cc8d5c6431e45b264b228b746783" name="afe64cc8d5c6431e45b264b228b746783"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe64cc8d5c6431e45b264b228b746783">&#9670;&#160;</a></span>s_MsgStackMarkEnd</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> DebugPrint::s_MsgStackMarkEnd</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d95/_debug_print_8c_source.html#l00010">10</a> of file <a class="el" href="../../d2/d95/_debug_print_8c_source.html">DebugPrint.c</a>.</p>

</div>
</div>
<a id="a8bb4a372661028cd50d740c2587c46a8" name="a8bb4a372661028cd50d740c2587c46a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8bb4a372661028cd50d740c2587c46a8">&#9670;&#160;</a></span>s_MsgStackMarkStart</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> DebugPrint::s_MsgStackMarkStart</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d95/_debug_print_8c_source.html#l00009">9</a> of file <a class="el" href="../../d2/d95/_debug_print_8c_source.html">DebugPrint.c</a>.</p>

</div>
</div>
<a id="abb52c5573a2ffe774faa55aac65fb476" name="abb52c5573a2ffe774faa55aac65fb476"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb52c5573a2ffe774faa55aac65fb476">&#9670;&#160;</a></span>s_TraceAllLogs</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d9/db9/classbool.html">bool</a> DebugPrint::s_TraceAllLogs</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d95/_debug_print_8c_source.html#l00012">12</a> of file <a class="el" href="../../d2/d95/_debug_print_8c_source.html">DebugPrint.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/tools/<a class="el" href="../../d2/d95/_debug_print_8c_source.html">DebugPrint.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dc/d26/class_debug_print.html">DebugPrint</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
